Index: t3lib/class.t3lib_tcemain.php
===================================================================
--- t3lib/class.t3lib_tcemain.php	(revision 9580)
+++ t3lib/class.t3lib_tcemain.php	(revision )
@@ -1,29 +1,29 @@
 <?php
 /***************************************************************
-*  Copyright notice
-*
-*  (c) 1999-2010 Kasper Skårhøj (kasperYYYY@typo3.com)
-*  All rights reserved
-*
-*  This script is part of the TYPO3 project. The TYPO3 project is
-*  free software; you can redistribute it and/or modify
-*  it under the terms of the GNU General Public License as published by
-*  the Free Software Foundation; either version 2 of the License, or
-*  (at your option) any later version.
-*
-*  The GNU General Public License can be found at
-*  http://www.gnu.org/copyleft/gpl.html.
-*  A copy is found in the textfile GPL.txt and important notices to the license
-*  from the author is found in LICENSE.txt distributed with these scripts.
-*
-*
-*  This script is distributed in the hope that it will be useful,
-*  but WITHOUT ANY WARRANTY; without even the implied warranty of
-*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-*  GNU General Public License for more details.
-*
-*  This copyright notice MUST APPEAR in all copies of the script!
-***************************************************************/
+ *  Copyright notice
+ *
+ *  (c) 1999-2010 Kasper Skårhøj (kasperYYYY@typo3.com)
+ *  All rights reserved
+ *
+ *  This script is part of the TYPO3 project. The TYPO3 project is
+ *  free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  The GNU General Public License can be found at
+ *  http://www.gnu.org/copyleft/gpl.html.
+ *  A copy is found in the textfile GPL.txt and important notices to the license
+ *  from the author is found in LICENSE.txt distributed with these scripts.
+ *
+ *
+ *  This script is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  This copyright notice MUST APPEAR in all copies of the script!
+ ***************************************************************/
 /**
  * Contains the TYPO3 Core Engine
  *
@@ -38,164 +38,164 @@
  *
  *
  *  242: class t3lib_TCEmain
- *  367:     function start($data,$cmd,$altUserObject='')
+ *  367:	 function start($data,$cmd,$altUserObject='')
- *  406:     function setMirror($mirror)
+ *  406:	 function setMirror($mirror)
- *  431:     function setDefaultsFromUserTS($userTS)
+ *  431:	 function setDefaultsFromUserTS($userTS)
- *  454:     function process_uploads($postFiles)
+ *  454:	 function process_uploads($postFiles)
- *  492:     function process_uploads_traverseArray(&$outputArr,$inputArr,$keyToSet)
+ *  492:	 function process_uploads_traverseArray(&$outputArr,$inputArr,$keyToSet)
  *
- *              SECTION: PROCESSING DATA
+ *			  SECTION: PROCESSING DATA
- *  528:     function process_datamap()
+ *  528:	 function process_datamap()
- *  886:     function placeholderShadowing($table,$id)
+ *  886:	 function placeholderShadowing($table,$id)
- *  929:     function fillInFieldArray($table,$id,$fieldArray,$incomingFieldArray,$realPid,$status,$tscPID)
+ *  929:	 function fillInFieldArray($table,$id,$fieldArray,$incomingFieldArray,$realPid,$status,$tscPID)
  *
- *              SECTION: Evaluation of input values
+ *			  SECTION: Evaluation of input values
- * 1152:     function checkValue($table,$field,$value,$id,$status,$realPid,$tscPID)
+ * 1152:	 function checkValue($table,$field,$value,$id,$status,$realPid,$tscPID)
- * 1212:     function checkValue_SW($res,$value,$tcaFieldConf,$table,$id,$curValue,$status,$realPid,$recFID,$field,$uploadedFiles,$tscPID)
+ * 1212:	 function checkValue_SW($res,$value,$tcaFieldConf,$table,$id,$curValue,$status,$realPid,$recFID,$field,$uploadedFiles,$tscPID)
- * 1261:     function checkValue_input($res,$value,$tcaFieldConf,$PP,$field='')
+ * 1261:	 function checkValue_input($res,$value,$tcaFieldConf,$PP,$field='')
- * 1299:     function checkValue_check($res,$value,$tcaFieldConf,$PP)
+ * 1299:	 function checkValue_check($res,$value,$tcaFieldConf,$PP)
- * 1322:     function checkValue_radio($res,$value,$tcaFieldConf,$PP)
+ * 1322:	 function checkValue_radio($res,$value,$tcaFieldConf,$PP)
- * 1348:     function checkValue_group_select($res,$value,$tcaFieldConf,$PP,$uploadedFiles,$field)
+ * 1348:	 function checkValue_group_select($res,$value,$tcaFieldConf,$PP,$uploadedFiles,$field)
- * 1458:     function checkValue_group_select_file($valueArray,$tcaFieldConf,$curValue,$uploadedFileArray,$status,$table,$id,$recFID)
+ * 1458:	 function checkValue_group_select_file($valueArray,$tcaFieldConf,$curValue,$uploadedFileArray,$status,$table,$id,$recFID)
- * 1632:     function checkValue_flex($res,$value,$tcaFieldConf,$PP,$uploadedFiles,$field)
+ * 1632:	 function checkValue_flex($res,$value,$tcaFieldConf,$PP,$uploadedFiles,$field)
- * 1709:     function checkValue_flexArray2Xml($array, $addPrologue=FALSE)
+ * 1709:	 function checkValue_flexArray2Xml($array, $addPrologue=FALSE)
- * 1721:     function _DELETE_FLEX_FORMdata(&$valueArrayToRemoveFrom,$deleteCMDS)
+ * 1721:	 function _DELETE_FLEX_FORMdata(&$valueArrayToRemoveFrom,$deleteCMDS)
- * 1743:     function _MOVE_FLEX_FORMdata(&$valueArrayToMoveIn, $moveCMDS, $direction)
+ * 1743:	 function _MOVE_FLEX_FORMdata(&$valueArrayToMoveIn, $moveCMDS, $direction)
- * 1783:     function checkValue_inline($res,$value,$tcaFieldConf,$PP,$field)
+ * 1783:	 function checkValue_inline($res,$value,$tcaFieldConf,$PP,$field)
- * 1825:     function checkValue_checkMax($tcaFieldConf, $valueArray)
+ * 1825:	 function checkValue_checkMax($tcaFieldConf, $valueArray)
  *
- *              SECTION: Helper functions for evaluation functions.
+ *			  SECTION: Helper functions for evaluation functions.
- * 1877:     function getUnique($table,$field,$value,$id,$newPid=0)
+ * 1877:	 function getUnique($table,$field,$value,$id,$newPid=0)
- * 1915:     function checkValue_input_Eval($value,$evalArray,$is_in)
+ * 1915:	 function checkValue_input_Eval($value,$evalArray,$is_in)
- * 2012:     function checkValue_group_select_processDBdata($valueArray,$tcaFieldConf,$id,$status,$type,$currentTable)
+ * 2012:	 function checkValue_group_select_processDBdata($valueArray,$tcaFieldConf,$id,$status,$type,$currentTable)
- * 2058:     function checkValue_group_select_explodeSelectGroupValue($value)
+ * 2058:	 function checkValue_group_select_explodeSelectGroupValue($value)
- * 2082:     function checkValue_flex_procInData($dataPart,$dataPart_current,$uploadedFiles,$dataStructArray,$pParams,$callBackFunc='')
+ * 2082:	 function checkValue_flex_procInData($dataPart,$dataPart_current,$uploadedFiles,$dataStructArray,$pParams,$callBackFunc='')
- * 2121:     function checkValue_flex_procInData_travDS(&$dataValues,$dataValues_current,$uploadedFiles,$DSelements,$pParams,$callBackFunc,$structurePath)
+ * 2121:	 function checkValue_flex_procInData_travDS(&$dataValues,$dataValues_current,$uploadedFiles,$DSelements,$pParams,$callBackFunc,$structurePath)
  *
- *              SECTION: PROCESSING COMMANDS
+ *			  SECTION: PROCESSING COMMANDS
- * 2267:     function process_cmdmap()
+ * 2267:	 function process_cmdmap()
  *
- *              SECTION: Cmd: Copying
+ *			  SECTION: Cmd: Copying
- * 2407:     function copyRecord($table,$uid,$destPid,$first=0,$overrideValues=array(),$excludeFields='')
+ * 2407:	 function copyRecord($table,$uid,$destPid,$first=0,$overrideValues=array(),$excludeFields='')
- * 2529:     function copyPages($uid,$destPid)
+ * 2529:	 function copyPages($uid,$destPid)
- * 2583:     function copySpecificPage($uid,$destPid,$copyTablesArray,$first=0)
+ * 2583:	 function copySpecificPage($uid,$destPid,$copyTablesArray,$first=0)
- * 2617:     function copyRecord_raw($table,$uid,$pid,$overrideArray=array())
+ * 2617:	 function copyRecord_raw($table,$uid,$pid,$overrideArray=array())
- * 2681:     function rawCopyPageContent($old_pid,$new_pid,$copyTablesArray)
+ * 2681:	 function rawCopyPageContent($old_pid,$new_pid,$copyTablesArray)
- * 2705:     function insertNewCopyVersion($table,$fieldArray,$realPid)
+ * 2705:	 function insertNewCopyVersion($table,$fieldArray,$realPid)
- * 2757:     function copyRecord_procBasedOnFieldType($table,$uid,$field,$value,$row,$conf,$realDestPid)
+ * 2757:	 function copyRecord_procBasedOnFieldType($table,$uid,$field,$value,$row,$conf,$realDestPid)
- * 2836:     function copyRecord_flexFormCallBack($pParams, $dsConf, $dataValue, $dataValue_ext1, $dataValue_ext2)
+ * 2836:	 function copyRecord_flexFormCallBack($pParams, $dsConf, $dataValue, $dataValue_ext1, $dataValue_ext2)
- * 2864:     function copyRecord_procFilesRefs($conf, $uid, $value)
+ * 2864:	 function copyRecord_procFilesRefs($conf, $uid, $value)
  *
- *              SECTION: Cmd: Moving, Localizing
+ *			  SECTION: Cmd: Moving, Localizing
- * 2933:     function moveRecord($table,$uid,$destPid)
+ * 2933:	 function moveRecord($table,$uid,$destPid)
- * 3128:     function moveRecord_procFields($table,$uid,$destPid)
+ * 3128:	 function moveRecord_procFields($table,$uid,$destPid)
- * 3148:     function moveRecord_procBasedOnFieldType($table,$uid,$destPid,$field,$value,$conf)
+ * 3148:	 function moveRecord_procBasedOnFieldType($table,$uid,$destPid,$field,$value,$conf)
- * 3182:     function localize($table,$uid,$language)
+ * 3182:	 function localize($table,$uid,$language)
  *
- *              SECTION: Cmd: Deleting
+ *			  SECTION: Cmd: Deleting
- * 3296:     function deleteAction($table, $id)
+ * 3296:	 function deleteAction($table, $id)
- * 3343:     function deleteEl($table, $uid, $noRecordCheck=FALSE, $forceHardDelete=FALSE)
+ * 3343:	 function deleteEl($table, $uid, $noRecordCheck=FALSE, $forceHardDelete=FALSE)
- * 3360:     function deleteVersionsForRecord($table, $uid, $forceHardDelete)
+ * 3360:	 function deleteVersionsForRecord($table, $uid, $forceHardDelete)
- * 3382:     function undeleteRecord($table,$uid)
+ * 3382:	 function undeleteRecord($table,$uid)
- * 3399:     function deleteRecord($table,$uid, $noRecordCheck=FALSE, $forceHardDelete=FALSE,$undeleteRecord=FALSE)
+ * 3399:	 function deleteRecord($table,$uid, $noRecordCheck=FALSE, $forceHardDelete=FALSE,$undeleteRecord=FALSE)
- * 3512:     function deleteRecord_flexFormCallBack($dsArr, $dataValue, $PA, $structurePath, &$pObj)
+ * 3512:	 function deleteRecord_flexFormCallBack($dsArr, $dataValue, $PA, $structurePath, &$pObj)
- * 3539:     function deletePages($uid,$force=FALSE,$forceHardDelete=FALSE)
+ * 3539:	 function deletePages($uid,$force=FALSE,$forceHardDelete=FALSE)
- * 3567:     function deleteSpecificPage($uid,$forceHardDelete=FALSE)
+ * 3567:	 function deleteSpecificPage($uid,$forceHardDelete=FALSE)
- * 3592:     function canDeletePage($uid)
+ * 3592:	 function canDeletePage($uid)
- * 3619:     function cannotDeleteRecord($table,$id)
+ * 3619:	 function cannotDeleteRecord($table,$id)
- * 3638:     function deleteRecord_procFields($table, $uid, $undeleteRecord = false)
+ * 3638:	 function deleteRecord_procFields($table, $uid, $undeleteRecord = false)
- * 3661:     function deleteRecord_procBasedOnFieldType($table, $uid, $field, $value, $conf, $undeleteRecord = false)
+ * 3661:	 function deleteRecord_procBasedOnFieldType($table, $uid, $field, $value, $conf, $undeleteRecord = false)
  *
- *              SECTION: Cmd: Versioning
+ *			  SECTION: Cmd: Versioning
- * 3722:     function versionizeRecord($table,$id,$label,$delete=FALSE,$versionizeTree=-1)
+ * 3722:	 function versionizeRecord($table,$id,$label,$delete=FALSE,$versionizeTree=-1)
- * 3798:     function versionizePages($uid,$label,$versionizeTree)
+ * 3798:	 function versionizePages($uid,$label,$versionizeTree)
- * 3861:     function version_swap($table,$id,$swapWith,$swapIntoWS=0)
+ * 3861:	 function version_swap($table,$id,$swapWith,$swapIntoWS=0)
- * 4032:     function version_clearWSID($table,$id)
+ * 4032:	 function version_clearWSID($table,$id)
- * 4066:     function version_setStage($table,$id,$stageId,$comment='')
+ * 4066:	 function version_setStage($table,$id,$stageId,$comment='')
  *
- *              SECTION: Cmd: Helper functions
+ *			  SECTION: Cmd: Helper functions
- * 4111:     function remapListedDBRecords()
+ * 4111:	 function remapListedDBRecords()
- * 4192:     function remapListedDBRecords_flexFormCallBack($pParams, $dsConf, $dataValue, $dataValue_ext1, $dataValue_ext2)
+ * 4192:	 function remapListedDBRecords_flexFormCallBack($pParams, $dsConf, $dataValue, $dataValue_ext1, $dataValue_ext2)
- * 4219:     function remapListedDBRecords_procDBRefs($conf, $value, $MM_localUid, $table)
+ * 4219:	 function remapListedDBRecords_procDBRefs($conf, $value, $MM_localUid, $table)
- * 4265:     function remapListedDBRecords_procInline($conf, $value, $uid, $table)
+ * 4265:	 function remapListedDBRecords_procInline($conf, $value, $uid, $table)
  *
- *              SECTION: Access control / Checking functions
+ *			  SECTION: Access control / Checking functions
- * 4308:     function checkModifyAccessList($table)
+ * 4308:	 function checkModifyAccessList($table)
- * 4320:     function isRecordInWebMount($table,$id)
+ * 4320:	 function isRecordInWebMount($table,$id)
- * 4334:     function isInWebMount($pid)
+ * 4334:	 function isInWebMount($pid)
- * 4348:     function checkRecordUpdateAccess($table,$id)
+ * 4348:	 function checkRecordUpdateAccess($table,$id)
- * 4372:     function checkRecordInsertAccess($insertTable,$pid,$action=1)
+ * 4372:	 function checkRecordInsertAccess($insertTable,$pid,$action=1)
- * 4406:     function isTableAllowedForThisPage($page_uid, $checkTable)
+ * 4406:	 function isTableAllowedForThisPage($page_uid, $checkTable)
- * 4439:     function doesRecordExist($table,$id,$perms)
+ * 4439:	 function doesRecordExist($table,$id,$perms)
- * 4504:     function doesRecordExist_pageLookUp($id, $perms)
+ * 4504:	 function doesRecordExist_pageLookUp($id, $perms)
- * 4530:     function doesBranchExist($inList,$pid,$perms,$recurse)
+ * 4530:	 function doesBranchExist($inList,$pid,$perms,$recurse)
- * 4564:     function tableReadOnly($table)
+ * 4564:	 function tableReadOnly($table)
- * 4576:     function tableAdminOnly($table)
+ * 4576:	 function tableAdminOnly($table)
- * 4590:     function destNotInsideSelf($dest,$id)
+ * 4590:	 function destNotInsideSelf($dest,$id)
- * 4622:     function getExcludeListArray()
+ * 4622:	 function getExcludeListArray()
- * 4645:     function doesPageHaveUnallowedTables($page_uid,$doktype)
+ * 4645:	 function doesPageHaveUnallowedTables($page_uid,$doktype)
  *
- *              SECTION: Information lookup
+ *			  SECTION: Information lookup
- * 4694:     function pageInfo($id,$field)
+ * 4694:	 function pageInfo($id,$field)
- * 4714:     function recordInfo($table,$id,$fieldList)
+ * 4714:	 function recordInfo($table,$id,$fieldList)
- * 4735:     function getRecordProperties($table,$id,$noWSOL=FALSE)
+ * 4735:	 function getRecordProperties($table,$id,$noWSOL=FALSE)
- * 4751:     function getRecordPropertiesFromRow($table,$row)
+ * 4751:	 function getRecordPropertiesFromRow($table,$row)
  *
- *              SECTION: Storing data to Database Layer
+ *			  SECTION: Storing data to Database Layer
- * 4794:     function updateDB($table,$id,$fieldArray)
+ * 4794:	 function updateDB($table,$id,$fieldArray)
- * 4846:     function insertDB($table,$id,$fieldArray,$newVersion=FALSE,$suggestedUid=0,$dontSetNewIdIndex=FALSE)
+ * 4846:	 function insertDB($table,$id,$fieldArray,$newVersion=FALSE,$suggestedUid=0,$dontSetNewIdIndex=FALSE)
- * 4919:     function checkStoredRecord($table,$id,$fieldArray,$action)
+ * 4919:	 function checkStoredRecord($table,$id,$fieldArray,$action)
- * 4956:     function setHistory($table,$id,$logId)
+ * 4956:	 function setHistory($table,$id,$logId)
- * 4989:     function clearHistory($maxAgeSeconds=604800,$table)
+ * 4989:	 function clearHistory($maxAgeSeconds=604800,$table)
- * 5003:     function updateRefIndex($table,$id)
+ * 5003:	 function updateRefIndex($table,$id)
  *
- *              SECTION: Misc functions
+ *			  SECTION: Misc functions
- * 5035:     function getSortNumber($table,$uid,$pid)
+ * 5035:	 function getSortNumber($table,$uid,$pid)
- * 5108:     function resorting($table,$pid,$sortRow, $return_SortNumber_After_This_Uid)
+ * 5108:	 function resorting($table,$pid,$sortRow, $return_SortNumber_After_This_Uid)
- * 5139:     function setTSconfigPermissions($fieldArray,$TSConfig_p)
+ * 5139:	 function setTSconfigPermissions($fieldArray,$TSConfig_p)
- * 5156:     function newFieldArray($table)
+ * 5156:	 function newFieldArray($table)
- * 5188:     function addDefaultPermittedLanguageIfNotSet($table,&$incomingFieldArray)
+ * 5188:	 function addDefaultPermittedLanguageIfNotSet($table,&$incomingFieldArray)
- * 5212:     function overrideFieldArray($table,$data)
+ * 5212:	 function overrideFieldArray($table,$data)
- * 5228:     function compareFieldArrayWithCurrentAndUnset($table,$id,$fieldArray)
+ * 5228:	 function compareFieldArrayWithCurrentAndUnset($table,$id,$fieldArray)
- * 5274:     function assemblePermissions($string)
+ * 5274:	 function assemblePermissions($string)
- * 5291:     function rmComma($input)
+ * 5291:	 function rmComma($input)
- * 5301:     function convNumEntityToByteValue($input)
+ * 5301:	 function convNumEntityToByteValue($input)
- * 5323:     function destPathFromUploadFolder($folder)
+ * 5323:	 function destPathFromUploadFolder($folder)
- * 5333:     function deleteClause($table)
+ * 5333:	 function deleteClause($table)
- * 5349:     function getTCEMAIN_TSconfig($tscPID)
+ * 5349:	 function getTCEMAIN_TSconfig($tscPID)
- * 5364:     function getTableEntries($table,$TSconfig)
+ * 5364:	 function getTableEntries($table,$TSconfig)
- * 5377:     function getPID($table,$uid)
+ * 5377:	 function getPID($table,$uid)
- * 5390:     function dbAnalysisStoreExec()
+ * 5390:	 function dbAnalysisStoreExec()
- * 5406:     function removeRegisteredFiles()
+ * 5406:	 function removeRegisteredFiles()
- * 5418:     function removeCacheFiles()
+ * 5418:	 function removeCacheFiles()
- * 5432:     function int_pageTreeInfo($CPtable,$pid,$counter, $rootID)
+ * 5432:	 function int_pageTreeInfo($CPtable,$pid,$counter, $rootID)
- * 5453:     function compileAdminTables()
+ * 5453:	 function compileAdminTables()
- * 5470:     function fixUniqueInPid($table,$uid)
+ * 5470:	 function fixUniqueInPid($table,$uid)
- * 5506:     function fixCopyAfterDuplFields($table,$uid,$prevUid,$update, $newData=array())
+ * 5506:	 function fixCopyAfterDuplFields($table,$uid,$prevUid,$update, $newData=array())
- * 5531:     function extFileFields($table)
+ * 5531:	 function extFileFields($table)
- * 5552:     function getUniqueFields($table)
+ * 5552:	 function getUniqueFields($table)
- * 5577:     function isReferenceField($conf)
+ * 5577:	 function isReferenceField($conf)
- * 5588:     function getInlineFieldType($conf)
+ * 5588:	 function getInlineFieldType($conf)
- * 5611:     function getCopyHeader($table,$pid,$field,$value,$count,$prevTitle='')
+ * 5611:	 function getCopyHeader($table,$pid,$field,$value,$count,$prevTitle='')
- * 5640:     function prependLabel($table)
+ * 5640:	 function prependLabel($table)
- * 5657:     function resolvePid($table,$pid)
+ * 5657:	 function resolvePid($table,$pid)
- * 5687:     function clearPrefixFromValue($table,$value)
+ * 5687:	 function clearPrefixFromValue($table,$value)
- * 5702:     function extFileFunctions($table,$field,$filelist,$func)
+ * 5702:	 function extFileFunctions($table,$field,$filelist,$func)
- * 5732:     function noRecordsFromUnallowedTables($inList)
+ * 5732:	 function noRecordsFromUnallowedTables($inList)
- * 5758:     function notifyStageChange($stat,$stageId,$table,$id,$comment)
+ * 5758:	 function notifyStageChange($stat,$stageId,$table,$id,$comment)
- * 5853:     function notifyStageChange_getEmails($listOfUsers,$noTablePrefix=FALSE)
+ * 5853:	 function notifyStageChange_getEmails($listOfUsers,$noTablePrefix=FALSE)
  *
- *              SECTION: Clearing cache
+ *			  SECTION: Clearing cache
- * 5899:     function clear_cache($table,$uid)
+ * 5899:	 function clear_cache($table,$uid)
- * 6009:     function clear_cacheCmd($cacheCmd)
+ * 6009:	 function clear_cacheCmd($cacheCmd)
  *
- *              SECTION: Logging
+ *			  SECTION: Logging
- * 6113:     function log($table,$recuid,$action,$recpid,$error,$details,$details_nr=-1,$data=array(),$event_pid=-1,$NEWid='')
+ * 6113:	 function log($table,$recuid,$action,$recpid,$error,$details,$details_nr=-1,$data=array(),$event_pid=-1,$NEWid='')
- * 6130:     function newlog($message, $error=0)
+ * 6130:	 function newlog($message, $error=0)
- * 6140:     function printLogErrorMessages($redirect)
+ * 6140:	 function printLogErrorMessages($redirect)
  *
- *              SECTION: Internal (do not use outside Core!)
+ *			  SECTION: Internal (do not use outside Core!)
- * 6202:     function internal_clearPageCache()
+ * 6202:	 function internal_clearPageCache()
  *
  * TOTAL FUNCTIONS: 126
  * (This index is automatically created/updated by the extension "extdeveval")
@@ -203,19 +203,6 @@
  */
 
 
-
-
-
-
-
-
-
-
-
-
-
-
-
 /**
  * This is the TYPO3 Core Engine class for manipulation of the database
  * This class is used by eg. the tce_db.php script which provides an the interface for POST forms to this class.
